Debian Bug report logs - #467668
libaudio-file-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libaudio-file-perl; Maintainer for libaudio-file-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libaudio-file-perl is src:libaudio-file-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:12:35 UTC

Severity: important

Tags: patch

Found in version libaudio-file-perl/0.11-1

Fixed in version libaudio-file-perl/0.11-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#467668; Package libaudio-file-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libaudio-file-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:10 +0200
Package: libaudio-file-perl
Version: 0.11-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Reply sent to John Lightsey <lightsey@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 467668-close@bugs.debian.org (full text, mbox):

From: John Lightsey <lightsey@debian.org>
To: 467668-close@bugs.debian.org
Subject: Bug#467668: fixed in libyaml-tiny-perl 1.25-2
Date: Mon, 10 Mar 2008 05:17:07 +0000
Source: libyaml-tiny-perl
Source-Version: 1.25-2

We believe that the bug you reported is fixed in the latest version of
libyaml-tiny-perl, which is due to be installed in the Debian FTP archive:

libyaml-tiny-perl_1.25-2.diff.gz
  to pool/main/liby/libyaml-tiny-perl/libyaml-tiny-perl_1.25-2.diff.gz
libyaml-tiny-perl_1.25-2.dsc
  to pool/main/liby/libyaml-tiny-perl/libyaml-tiny-perl_1.25-2.dsc
libyaml-tiny-perl_1.25-2_all.deb
  to pool/main/liby/libyaml-tiny-perl/libyaml-tiny-perl_1.25-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Lightsey <lightsey@debian.org> (supplier of updated libyaml-tiny-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 09 Mar 2008 20:35:00 -0500
Source: libyaml-tiny-perl
Binary: libyaml-tiny-perl
Architecture: source all
Version: 1.25-2
Distribution: unstable
Urgency: low
Maintainer: John Lightsey <lightsey@debian.org>
Changed-By: John Lightsey <lightsey@debian.org>
Description: 
 libyaml-tiny-perl - Read/Write YAML files with as little code as possible
Closes: 467668
Changes: 
 libyaml-tiny-perl (1.25-2) unstable; urgency=low
 .
   * Check for existence of $(TMP)/usr/lib/perl5 before removing
     closes: #467668
   * Update copyright file to silence lintian warnings
Files: 
 06b0024b4bc8924d91519dffbf29fbfb 640 perl optional libyaml-tiny-perl_1.25-2.dsc
 9ae3294ec4d0c7b8c1a0a39e62addc84 2221 perl optional libyaml-tiny-perl_1.25-2.diff.gz
 98abca9ec8f65eca7354a785094dc12b 26324 perl optional libyaml-tiny-perl_1.25-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH1MGYBYeybkXz+/kRAqkwAKDGzX/n9hetWb3st5w6RmYRUGT87wCdFkAs
lYTx6VmJCIzQA1ZN0GyffcU=
=51Dp
-----END PGP SIGNATURE-----





Bug reopened, originator not changed. Request was from John Lightsey <john@nixnuts.net> to control@bugs.debian.org. (Mon, 10 Mar 2008 06:15:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467668; Package libaudio-file-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #17 received at 467668@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467668@bugs.debian.org
Subject: libaudio-file-perl: diff for NMU version 0.11-1.1
Date: Sat, 5 Apr 2008 13:06:58 +0100
[Message part 1 (text/plain, inline)]
tags 467668 + patch
thanks

Hi,

Attached is the diff for my libaudio-file-perl 0.11-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libaudio-file-perl-0.11-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:09:09 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 467668-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467668-close@bugs.debian.org
Subject: Bug#467668: fixed in libaudio-file-perl 0.11-1.1
Date: Sat, 05 Apr 2008 12:17:04 +0000
Source: libaudio-file-perl
Source-Version: 0.11-1.1

We believe that the bug you reported is fixed in the latest version of
libaudio-file-perl, which is due to be installed in the Debian FTP archive:

libaudio-file-perl_0.11-1.1.diff.gz
  to pool/main/liba/libaudio-file-perl/libaudio-file-perl_0.11-1.1.diff.gz
libaudio-file-perl_0.11-1.1.dsc
  to pool/main/liba/libaudio-file-perl/libaudio-file-perl_0.11-1.1.dsc
libaudio-file-perl_0.11-1.1_all.deb
  to pool/main/liba/libaudio-file-perl/libaudio-file-perl_0.11-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libaudio-file-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 13:05:23 +0100
Source: libaudio-file-perl
Binary: libaudio-file-perl
Architecture: source all
Version: 0.11-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libaudio-file-perl - Perl audio file abstraction library
Closes: 467668
Changes: 
 libaudio-file-perl (0.11-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally rmdir /usr/lib/perl5 (closes: #467668)
Files: 
 a76e508cf1830729e003b6ae2b2544b1 729 perl optional libaudio-file-perl_0.11-1.1.dsc
 3686d3029a849fad867be35e3f553ed1 1954 perl optional libaudio-file-perl_0.11-1.1.diff.gz
 9f7c07c944e0852f43e382ff6379f0c8 20174 perl optional libaudio-file-perl_0.11-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92s0SYIMHOpZA44RAog1AJ49zlwc9yBVILp0xET5d7DUU32xzACgypwF
nFQ2B6CmUUmH5Izo4e4r3Ss=
=Fy/M
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:48:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:19:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.